Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155329 - 3 * undefined code
Summary: 3 * undefined code
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: kdegames
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-19 08:43 UTC by David Binderman
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-30 17:27:59 UTC


Attachments (Terms of Use)

Description David Binderman 2005-04-19 08:43:39 UTC
Description of problem:

I just tried to compile kdegames-3.4.0-1 from Redhat
Fedora Core development tree

The compiler said

1.

snake.cpp:53: warning: operation on 'x' may be undefined

The source code is

	*list.at(x) = *list.at(--x);

I agree with the compiler. Suggest code rework.

2.

snake.cpp:71: warning: operation on 'x' may be undefined

Duplicate.

3.

adviseFull.cpp:453: warning: operation on 'dvr' may be undefined

The source code is

	quotient *= ((float)(size-dvr))/++dvr;

More of the same.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Rex Dieter 2007-04-30 17:27:59 UTC
should be reported upstream to bugs.kde.org (if still present in current 3.5.x
release).


Note You need to log in before you can comment on or make changes to this bug.